Como instalo o PostgreSQL 9.6 em qualquer versão do Ubuntu?

81

Como faço para instalar o PostgreSQL 9.6 em qualquer versão do Ubuntu, já que ele não vem por padrão com a versão mais recente?

O Ubuntu Xenial (16.04) vem com o PostgreSQL 9.5 dos repositórios padrão.

    
por Victor 29.09.2016 / 19:38

3 respostas

170

Para as seguintes versões do Ubuntu, você pode instalar com os comandos fornecidos, de acordo com o Repositório Apto do PostgreSQL .

Ubuntu 17.04 - 17.10

A versão 9.6 vem com a distribuição.

sudo apt-get install postgresql-9.6

Ubuntu 12.04, 14.04, 16.04

sudo add-apt-repository "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -sc)-pgdg main"
wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
sudo apt-get update
sudo apt-get install postgresql-9.6
    
por Victor 29.09.2016 / 19:38
11

Siga os passos abaixo:

Referência é tirado deste blog.

Você precisa adicionar o último repositório do PostgreSQL para a versão mais recente.

sudo add-apt-repository "deb https://apt.postgresql.org/pub/repos/apt/ trusty-pgdg main"

Atualize e instale o PostgreSQL 9.6:

sudo apt-get update
sudo apt-get install postgresql-9.6

O banco de dados postgres super usuário e postgres é criado. Você precisa definir uma senha para o superusuário do postgres.

[email protected]:~$ sudo passwd postgres
Enter new UNIX password:****
Retype new UNIX password:****
passwd: password updated successfully

Se o serviço não for iniciado, você poderá iniciar o serviço PostgreSQL.

sudo service postgresql start

Conecte o servidor PostgreSQL usando o usuário postgres:

[email protected]:~$ su postgres
Password:****

Crie um banco de dados de amostra:

createdb database_name

Conecte-se a esse banco de dados:

psql -d database_name
    
por Anvesh 18.01.2017 / 22:24
1

Eu segui este Github essência - Estou executando o ubuntu xenial dentro do vagrant e queria atualizar o repositório oficial postresql vesion 9.5 para 9.6 para que eu possa usar a extensão PostGIS que é melhor servida por versão 9.6 (oficialmente mencionado em seu site) Espero que isso ajude alguém.

    
por Sanchit 24.06.2017 / 16:09